#
# spec file for package java-atk-wrapper
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global major_version 0.30
Name:           java-atk-wrapper
Version:        0.30.5
Release:        6.1
Summary:        Java ATK Wrapper
License:        LGPL-2.0+
Group:          Development/Libraries/Java
Url:            http://git.gnome.org/browse/java-atk-wrapper/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{major_version}/%{name}-%{version}.tar.xz
Source1:        HOWTO
#PATCH-FIX-UPSTREAM: add missing includes, mvyskocil@suse.com
Patch0:         java-atk-wrapper-fortify-decl.patch
BuildRequires:  atk-devel
BuildRequires:  gconf2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  xz
Requires:       java >= 1.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1130
BuildRequires:  xprop
Requires:       xprop
%else
BuildRequires:  xorg-x11
Requires:       xorg-x11
%endif

%description
Java ATK Wrapper is a implementation of ATK by using JNI technic. It
converts Java Swing events into ATK events, and send these events to
ATK-Bridge.

JAW is part of the Bonobo deprecation project. It will replaces the
former java-access-bridge.
By talking to ATK-Bridge, it keeps itself from being affected by the
change of underlying communication mechanism.

%prep
%setup -q
%patch0 -p1
cp %{SOURCE1} .

%build
%configure JAVACFLAGS="-source 1.5 -target 1.5"
make %{?_smp_mflags}

%install
# java-atk-wrapper's make install is broken by design
# it installs to the current JDK_HOME. We want to install it to a central
# location and then allow all/any JRE's/JDK's to use it.
# make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_libdir}/%{name}

mv wrapper/java-atk-wrapper.jar %{buildroot}%{_libdir}/%{name}/
mv jni/src/.libs/libatk-wrapper.so.0.0.13 %{buildroot}%{_libdir}/%{name}/
ln -s %{_libdir}/%{name}/libatk-wrapper.so.0.0.13 \
    %{buildroot}%{_libdir}/%{name}/libatk-wrapper.so.0

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc COPYING.LESSER
%doc NEWS
%doc README
%doc HOWTO
%{_libdir}/%{name}/

%changelog
* Fri Oct 17 2014 fstrba@suse.com
- Upgrade to upstream 0.30.5
- Removed patch java-atk-wrapper-source-target.patch
  * No need to apply it since we can chose options for javac from
    configure line
- Force source/bytecode target to 1.5 at configure time
* Sat May  3 2014 fstrba@suse.com
- Added patch:
  * java-atk-wrapper-source-target-patch: pass options to javac to
    produce bytecode compatible with java 1.5 and higher.
- Allow to build on SLE11
  * xprop is in xorg-x11 package
* Thu Dec 12 2013 mvyskocil@suse.com
- Initial SUSE packaging of java-awt-wrapper
  * java-atk-wrapper-fortify-decl.patch to fix missing headers
